Claim Yield
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/yield/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"investorAddressIndex": 5,
"snapshotId": 5
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/yield/claim"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"investorAddressIndex": 5,
"snapshotId": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
investorAddressIndex: 5,
snapshotId: 5
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/yield/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Yield claimed successfully",
"data": {
"txHash": "0x24ca59aefb20b47e08423edef8bcd5b3838c06cf921710eff484fcbc4dee65a9"
}
}Tokenization
Claim Yield
Claims an investor’s yield for a given distribution snapshot.
POST
/
v1
/
tokens
/
yield
/
claim
Claim Yield
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/yield/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"investorAddressIndex": 5,
"snapshotId": 5
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/yield/claim"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"investorAddressIndex": 5,
"snapshotId": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
investorAddressIndex: 5,
snapshotId: 5
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/yield/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Yield claimed successfully",
"data": {
"txHash": "0x24ca59aefb20b47e08423edef8bcd5b3838c06cf921710eff484fcbc4dee65a9"
}
}Authorizations
OAuth 2.0 access token from Auth-Edge.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
